### Function

# RB Profiler new

#### Declaration [src]

    RBProfiler*
    rb_profiler_new (
      const char* name
    )

#### Description [src]

Creates a new profiler instance. This can be used to time certain sections of code.

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const char*`

  Profiler name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBProfiler`

Profiler instance.

The data is owned by the called function.